Subject: Re: bug#32304: 27.0.50; tramp-tests issue with double slash

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jul 2018 20:26:19 +0300

> From: Michael Albinus <[email-masked]>
> Date: Sun, 29 Jul 2018 18:27:40 +0200
> Cc: [email-masked]
> 
> > "//" has a special meaning at the beginning of a file name on Cygwin and
> > MS-Windows; see the comment near the beginning of
> > search_embedded_absfilename.  So I don't think there's a real bug here.
> > Maybe the expected result of the test should simply be adjusted, as in
> > the attached patch.  Someone who builds on MS-Windows would have to
> > check this.
> 
> Thanks for the report. However, your patch seems just to hide the
> problem in tramp-tests.el. Wouldn't it be better to fix this?
> 
> What about the appended patch?

Doesn't seem to help here, in the native MS-Windows build; log
attached.

Can you tell how binding system-type was supposed to solve this?